# HG changeset patch
# Node ID 4fb59bef8c58
# Parent  46a289816176
diff --git a/pidgin/gtkconv.c b/pidgin/gtkconv.c
--- a/pidgin/gtkconv.c
+++ b/pidgin/gtkconv.c
@@ -3278,11 +3278,6 @@
 	purple_prefs_add_int(PIDGIN_PREFS_ROOT "/conversations/font_size", 3);
 	purple_prefs_add_int(PIDGIN_PREFS_ROOT "/conversations/scrollback_lines", 4000);
 
-#ifdef _WIN32
-	purple_prefs_add_bool(PIDGIN_PREFS_ROOT "/conversations/use_theme_font", TRUE);
-	purple_prefs_add_string(PIDGIN_PREFS_ROOT "/conversations/custom_font", "");
-#endif
-
 	/* Conversations -> Chat */
 	purple_prefs_add_none(PIDGIN_PREFS_ROOT "/conversations/chat");
 	purple_prefs_add_int(PIDGIN_PREFS_ROOT "/conversations/chat/entry_height", 54);
diff --git a/pidgin/prefs/pidginprefs.c b/pidgin/prefs/pidginprefs.c
--- a/pidgin/prefs/pidginprefs.c
+++ b/pidgin/prefs/pidginprefs.c
@@ -100,11 +100,6 @@
 		GtkWidget *minimum_entry_lines;
 		GtkTextBuffer *format_buffer;
 		GtkWidget *format_view;
-		/* Win32 specific frame */
-		GtkWidget *font_frame;
-		GtkWidget *use_theme_font;
-		GtkWidget *custom_font_hbox;
-		GtkWidget *custom_font;
 	} conversations;
 
 	/* Network page */
@@ -789,32 +784,6 @@
 	}
 }
 
-/* This is also Win32-specific, but must be visible for Glade binding. */
-static void
-apply_custom_font(GtkWidget *unused, PidginPrefsWindow *win)
-{
-	PangoFontDescription *desc = NULL;
-	if (!purple_prefs_get_bool(PIDGIN_PREFS_ROOT "/conversations/use_theme_font")) {
-		const char *font = purple_prefs_get_string(PIDGIN_PREFS_ROOT "/conversations/custom_font");
-		desc = pango_font_description_from_string(font);
-	}
-
-	gtk_widget_override_font(win->conversations.format_view, desc);
-	if (desc)
-		pango_font_description_free(desc);
-
-}
-
-static void
-pidgin_custom_font_set(GtkWidget *font_button, PidginPrefsWindow *win)
-{
-
-	purple_prefs_set_string(PIDGIN_PREFS_ROOT "/conversations/custom_font",
-			gtk_font_chooser_get_font(GTK_FONT_CHOOSER(font_button)));
-
-	apply_custom_font(font_button, win);
-}
-
 static void
 bind_conv_page(PidginPrefsWindow *win)
 {
@@ -840,28 +809,6 @@
 		PIDGIN_PREFS_ROOT "/conversations/minimum_entry_lines",
 		win->conversations.minimum_entry_lines);
 
-#ifdef _WIN32
-	{
-	const char *font_name;
-	gtk_widget_show(win->conversations.font_frame);
-
-	pidgin_prefs_bind_checkbox(
-			PIDGIN_PREFS_ROOT "/conversations/use_theme_font",
-			win->conversations.use_theme_font);
-
-	font_name = purple_prefs_get_string(PIDGIN_PREFS_ROOT "/conversations/custom_font");
-	if (font_name != NULL && *font_name != '\0') {
-		gtk_font_chooser_set_font(
-				GTK_FONT_CHOOSER(win->conversations.custom_font),
-				font_name);
-	}
-
-	g_object_bind_property(win->conversations.use_theme_font, "active",
-			win->conversations.custom_font_hbox, "sensitive",
-			G_BINDING_SYNC_CREATE|G_BINDING_INVERT_BOOLEAN);
-	}
-#endif
-
 	ag = talkatu_buffer_get_action_group(TALKATU_BUFFER(win->conversations.format_buffer));
 	g_signal_connect_after(G_OBJECT(ag), "action-activated",
 	                       G_CALLBACK(formatting_toggle_cb), NULL);
@@ -1754,25 +1701,6 @@
 	gtk_widget_class_bind_template_child(
 			widget_class, PidginPrefsWindow,
 			conversations.format_view);
-#ifdef WIN32
-	gtk_widget_class_bind_template_child(
-			widget_class, PidginPrefsWindow,
-			conversations.font_frame);
-	gtk_widget_class_bind_template_child(
-			widget_class, PidginPrefsWindow,
-			conversations.use_theme_font);
-	gtk_widget_class_bind_template_child(
-			widget_class, PidginPrefsWindow,
-			conversations.custom_font_hbox);
-	gtk_widget_class_bind_template_child(
-			widget_class, PidginPrefsWindow,
-			conversations.custom_font);
-#endif
-	/* Even though Win32-specific, must be bound to avoid Glade warnings. */
-	gtk_widget_class_bind_template_callback(widget_class,
-			apply_custom_font);
-	gtk_widget_class_bind_template_callback(widget_class,
-			pidgin_custom_font_set);
 
 	/* Network page */
 	gtk_widget_class_bind_template_child(
diff --git a/pidgin/resources/Prefs/prefs.ui b/pidgin/resources/Prefs/prefs.ui
--- a/pidgin/resources/Prefs/prefs.ui
+++ b/pidgin/resources/Prefs/prefs.ui
@@ -350,99 +350,6 @@
                       </packing>
                     </child>
                     <child>
-                      <object class="GtkFrame" id="conversations.font_frame">
-                        <property name="can-focus">False</property>
-                        <property name="label-xalign">0</property>
-                        <property name="shadow-type">none</property>
-                        <child>
-                          <object class="GtkAlignment">
-                            <property name="visible">True</property>
-                            <property name="can-focus">False</property>
-                            <property name="left-padding">12</property>
-                            <child>
-                              <object class="GtkBox">
-                                <property name="visible">True</property>
-                                <property name="can-focus">False</property>
-                                <property name="orientation">vertical</property>
-                                <property name="spacing">6</property>
-                                <child>
-                                  <object class="GtkCheckButton" id="conversations.use_theme_font">
-                                    <property name="label" translatable="yes">Use font from _theme</property>
-                                    <property name="visible">True</property>
-                                    <property name="can-focus">True</property>
-                                    <property name="receives-default">False</property>
-                                    <property name="use-underline">True</property>
-                                    <property name="draw-indicator">True</property>
-                                    <signal name="toggled" handler="apply_custom_font" object="PidginPrefsWindow" swapped="no"/>
-                                  </object>
-                                  <packing>
-                                    <property name="expand">False</property>
-                                    <property name="fill">True</property>
-                                    <property name="position">0</property>
-                                  </packing>
-                                </child>
-                                <child>
-                                  <object class="GtkBox" id="conversations.custom_font_hbox">
-                                    <property name="visible">True</property>
-                                    <property name="can-focus">False</property>
-                                    <property name="spacing">6</property>
-                                    <child>
-                                      <object class="GtkLabel">
-                                        <property name="visible">True</property>
-                                        <property name="can-focus">False</property>
-                                        <property name="label" translatable="yes">Conversation _font:</property>
-                                        <property name="use-underline">True</property>
-                                      </object>
-                                      <packing>
-                                        <property name="expand">False</property>
-                                        <property name="fill">True</property>
-                                        <property name="position">0</property>
-                                      </packing>
-                                    </child>
-                                    <child>
-                                      <object class="GtkFontButton" id="conversations.custom_font">
-                                        <property name="visible">True</property>
-                                        <property name="can-focus">True</property>
-                                        <property name="receives-default">True</property>
-                                        <property name="font">Sans 12</property>
-                                        <property name="preview-text"/>
-                                        <signal name="font-set" handler="pidgin_custom_font_set" object="PidginPrefsWindow" swapped="no"/>
-                                      </object>
-                                      <packing>
-                                        <property name="expand">False</property>
-                                        <property name="fill">True</property>
-                                        <property name="position">1</property>
-                                      </packing>
-                                    </child>
-                                  </object>
-                                  <packing>
-                                    <property name="expand">False</property>
-                                    <property name="fill">True</property>
-                                    <property name="position">1</property>
-                                  </packing>
-                                </child>
-                              </object>
-                            </child>
-                          </object>
-                        </child>
-                        <child type="label">
-                          <object class="GtkLabel">
-                            <property name="visible">True</property>
-                            <property name="can-focus">False</property>
-                            <property name="label" translatable="yes">Font</property>
-                            <attributes>
-                              <attribute name="weight" value="bold"/>
-                            </attributes>
-                          </object>
-                        </child>
-                      </object>
-                      <packing>
-                        <property name="expand">False</property>
-                        <property name="fill">True</property>
-                        <property name="position">1</property>
-                      </packing>
-                    </child>
-                    <child>
                       <object class="GtkFrame">
                         <property name="visible">True</property>
                         <property name="can-focus">False</property>
@@ -527,7 +434,7 @@
                       <packing>
                         <property name="expand">False</property>
                         <property name="fill">True</property>
-                        <property name="position">2</property>
+                        <property name="position">1</property>
                       </packing>
                     </child>
                   </object>
